kr.co.hanwha.hifive.admin.admin.adapter.viewholder

## Class AdminMemberTaskListViewHolder

- java.lang.Object
- - android.support.v7.widget.RecyclerView.ViewHolder
  - - kr.co.hanwha.hifive.base.BaseViewHolder
    - - kr.co.hanwha.hifive.admin.admin.adapter.viewholder.AdminMemberTaskListViewHolder

-     public class AdminMemberTaskListViewHolder
      extends BaseViewHolder

  Created by sanghoonkwon on 2018. 3. 21..

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private android.widget.LinearLayout` | `mLayoutContainer`
    `private AdminMemberTaskListAdapter.OnAdminTaskListListener` | `mOnAdminTaskListListener`
    `private java.lang.String` | `mReceiverName`
    `private android.widget.TextView` | `mTextViewAuthorName`
    `private android.widget.TextView` | `mTextViewDueDate`
    `private android.widget.TextView` | `mTextViewEval`
    `private android.widget.TextView` | `mTextViewReceiverName`
    `private android.widget.TextView` | `mTextViewStatus`
    `private android.widget.TextView` | `mTextViewTaskId`
    `private android.widget.TextView` | `mTextViewTitle`

    - ### Fields inherited from class android.support.v7.widget.RecyclerView.ViewHolder

      `itemView`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdminMemberTaskListViewHolder(android.view.ViewGroup viewGroup, AdminMemberTaskListAdapter.OnAdminTaskListListener onAdminTaskListListener)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onBind(java.lang.Object object, int index)`
    `void` | `setReceiverName(java.lang.String receiverName)`

    - ### Methods inherited from class kr.co.hanwha.hifive.base.BaseViewHolder

      `getContext, getHeight`

    - ### Methods inherited from class android.support.v7.widget.RecyclerView.ViewHolder

      `getAdapterPosition, getItemId, getItemViewType, getLayoutPosition, getOldPosition, getPosition, isRecyclable, setIsRecyclable, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mLayoutContainer

          private android.widget.LinearLayout mLayoutContainer

    - #### mTextViewDueDate

          private android.widget.TextView mTextViewDueDate

    - #### mTextViewStatus

          private android.widget.TextView mTextViewStatus

    - #### mTextViewAuthorName

          private android.widget.TextView mTextViewAuthorName

    - #### mTextViewReceiverName

          private android.widget.TextView mTextViewReceiverName

    - #### mTextViewTitle

          private android.widget.TextView mTextViewTitle

    - #### mTextViewEval

          private android.widget.TextView mTextViewEval

    - #### mTextViewTaskId

          private android.widget.TextView mTextViewTaskId

    - #### mReceiverName

          private java.lang.String mReceiverName

    - #### mOnAdminTaskListListener

          private AdminMemberTaskListAdapter.OnAdminTaskListListener mOnAdminTaskListListener

  - ### Constructor Detail

    - #### AdminMemberTaskListViewHolder

          public AdminMemberTaskListViewHolder(@NonNull
                                               android.view.ViewGroup viewGroup,
                                               AdminMemberTaskListAdapter.OnAdminTaskListListener onAdminTaskListListener)

  - ### Method Detail

    - #### setReceiverName

          public void setReceiverName(java.lang.String receiverName)

    - #### onBind

          public void onBind(java.lang.Object object,
                             int index)

      Overrides:
        `onBind` in class `BaseViewHolder`